<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Formulario de requisiciones</b></h3>
    </div>
      <div class="card-body justify-content-center">
        <form class="mt-3 col-md-10 offset-md-3" (ngSubmit)="onSave()" [formGroup]="requisicionForm">
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Obra </label>
              <select class="form-control form-select" formControlName="obra_id" [class]="isValidField('obra_id')">
                <option *ngFor="let item of $obras | async" [ngValue]="item.nombre_obra">{{item.nombre_obra}}</option>
              </select>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Estatus </label>
              <select class="form-control form-select" formControlName="estatus" [class]="isValidField('estatus')">
                <option value="activo">Activo</option>
                <option value="inactivo">Inactivo</option>
              </select>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Requisitador </label>
              <select class="form-control form-select" formControlName="requisitador_id" [class]="isValidField('requisitador_id')">
                <option *ngFor="let item of $requisitadores | async" [ngValue]="item.nombre">{{item.nombre}} {{item.apat}} {{item.amat}}</option>
              </select>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-md-6">
              <label> Fecha </label>
              <input type="date" formControlName="fecha" class="form-control" [class]="isValidField('fecha')">
            </div>
          </div>
          <div class="d-grid gap-2 col-8 mx-auto">
            <button class="btn btn-success btn-md-8">Guardar datos</button>
          </div>
        </form>
        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar al listado</button>
        </div>
      </div>
  </div>
</div>
